/*H+ TTGeneric.h
*
*    SCCS ID: %Z%%M% %I% %E% SMI
*
*    Copyright (c) 1990-1993 Sun Microsystems, Inc.  All rights reserved.
*    See SUN_LEGAL_NOTICE file for terms of the license.
*
*    PURPOSE:
*
*    Defines the TTGeneric class.
*
*    AUTHOR: Mark Soloway
*
*    REVISION HISTORY:
*
*    Who       When       Why                   
*    --------- ---------- -----------------------
*    MGS       09/10/90   Original creation.
*
*H-*/

/*C+ TTGeneric
*
*    DESCRIPTION:
*
*    The TTGeneric class provides a common base class for all other classes
*    to be derived from.  This allows the "delete" operator to understand
*    how to delete a specific class from a polymorhic collection of TTGeneric
*    derived classes.
*
*C-*/
#ifndef _TT_GENERIC_H
#define _TT_GENERIC_H

// Class Definition
class TTGeneric {
public:
  TTGeneric ();
  virtual ~TTGeneric (); 
};

#endif /* _TT_GENERIC_H */
